#
# spec file for package patchelf
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           patchelf
Version:        0.9
Release:        lp150.1.3
Summary:        A utility for patching ELF binaries
License:        GPL-3.0
Group:          Development/Libraries/C and C++
Url:            http://nixos.org/patchelf.html
Source:         http://releases.nixos.org/%{name}/%{name}-%{version}/%{name}-%{version}.tar.bz2
Patch0:         no-rpath-prebuilt.patch 
BuildRequires:  gcc-c++

%description
PatchELF is a simple utility for modifing existing ELF executables and
libraries.  It can change the dynamic loader ("ELF interpreter") of
executables and change the RPATH of executables and libraries.

%prep
%setup -q
%patch0 -p1

%build
%configure
make %{?_smp_mflags}

%check
make check

%install
make %{?_smp_mflags} DESTDIR=%{buildroot} install
rm %{buildroot}%{_datadir}/doc/patchelf/README

%files
%defattr(-,root,root)
%doc README
%{_bindir}/patchelf
%{_mandir}/man1/patchelf.1%{ext_man}

%changelog
* Fri Apr  1 2016 dvaleev@suse.com
- Enable exluded architectures.
  Fixed by debian patch no-rpath-prebuilt.patch
* Sun Mar 20 2016 mpluskal@suse.com
- Update to version 0.9
  * Lots of new features
- Add aarch64 to list of excluded architectures
* Thu Aug 13 2015 normand@linux.vnet.ibm.com
- exclude ppc64le as already done for ppc/ppc64 (4 tests FAIL)
    set-interpreter-long.sh
    set-rpath.sh
    big-dynstr.sh
    set-rpath-library.sh
  Same exclude on fedora as per bug 627370
  https://bugzilla.redhat.com/show_bug.cgi?id=627370
* Sat Aug  2 2014 idonmez@suse.com
- Update to version 0.8
  * No changelog upstream
* Tue Jul  3 2012 dvaleev@suse.com
- exclude ppc and ppc64. Tests are failed
* Thu Jun 21 2012 adrian@suse.de
- initial packaging of patchelf version 0.6
  required for accelerated cross build package
